import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * large Alien bullets from left
 * 
 * @author Tremaine Brown 
 * @version May 30, 2011
 */
import java.util.*;

public class BulletL  extends Actor  {
    /**
     * Act - do whatever the alienL wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    int x = 0;
    int y = (int) (Math.round(Math.random()* 400));
    Ship b = new Ship();
  // makes the bullet move along x-axis and remove box if it touches it
    public void act() {
        setLocation(getX()+1,y);
        if(foundShip()) {
            killShip();
        }
        if(getX() >= 590) {
            getWorld().removeObject(this);
        }
    }    
   
    // a method that tells if the bullet touched the ship 
    public boolean foundShip() {
        Actor ship = getOneObjectAtOffset(0, 0, Ship.class);
        if(ship != null) {
            return true;
        }
        else {
            return false;
        }
    }
    
    // a method that makes the ship be removed from the world and call method game over
    public void killShip()   {
        Actor ship = getOneObjectAtOffset(0, 0,Ship.class);
        if(ship != null) {
            getWorld().removeObject(ship);
            ((boxWorld) getWorld()).gameOver();
        }
    }
}
