import greenfoot.*;  // (World, Actor, GreenfootImage, Greenfoot and MouseInfo)

/**
 * Write a description of class Ship here.
 * 
 * @author Tremaine Brown 
 * @version May 30, 2011
 */
public class Ship  extends Actor {
    /**
     * Act - do whatever the Ship wants to do. This method is called whenever
     * the 'Act' or 'Run' button gets pressed in the environment.
     */
    //makes the ship follow the mouse
    public void act() {
        if(Greenfoot.mouseMoved(null)) {
            MouseInfo mouse = Greenfoot.getMouseInfo();
            setLocation(mouse.getX(), mouse.getY());
        }
        if(foundPoint()) {
            getPoint();
        }
    }    
    
        // a method that tells if the ship touched the point
    public boolean foundPoint() {
        Actor point = getOneObjectAtOffset(0, 0, BonusPoint.class);
        if(point != null) {
            return true;
        }
        else {
            return false;
        }
    }
    
    // a method that makes the ship be removed from the world and call method game over
    public void getPoint()   {
       Actor point = getOneObjectAtOffset(0, 0, BonusPoint.class);
        if(point != null) {
            getWorld().removeObject(point);
            ((boxWorld) getWorld()).addToScore();
        }
    }
}
